# VarHashEntry< TYPE > Class Template Reference

The class that stores the values of the variables. More...

`#include <VarHashEntry.hpp>`

Inheritance diagram for VarHashEntry< TYPE >:

[legend]
List of all members.

## Public Member Functions

virtual | ~VarHashEntry ()
virtual const TYPE & | getValue () const =0
| Gets the value of the variable (overload in derived classes for special behaviour).
virtual void | setValue (const TYPE &value)=0
| Sets the value of the variable (overload in derived classes for special behaviour).

## Detailed Description

### template<class TYPE>
class VarHashEntry< TYPE >

The class that stores the values of the variables.

## Constructor & Destructor Documentation

template<class TYPE>
virtual VarHashEntry< TYPE >::~VarHashEntry | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class TYPE>
virtual const TYPE& VarHashEntry< TYPE >::getValue | ( |  | ) | const`[pure virtual]`

| Gets the value of the variable (overload in derived classes for special behaviour).

template<class TYPE>
virtual void VarHashEntry< TYPE >::setValue | ( | const TYPE & | value | ) | `[pure virtual]`

| Sets the value of the variable (overload in derived classes for special behaviour).

The documentation for this class was generated from the following file:

- VarHashEntry.hpp